liborigin 2.0.0

Public Member Functions | Public Attributes | List of all members
Origin::Bitmap Struct Reference

`#include <OriginObj.h>`

## Public Member Functions
| Bitmap (const Bitmap &bitmap)
| Bitmap (const string &_name="")
| ~Bitmap ()

## Public Attributes
Attach | attach
BorderType | borderType
Rect | clientRect
unsigned char * | data
unsigned long | size
string | windowName

## Constructor & Destructor Documentation

## ◆ Bitmap() [1/2]

Origin::Bitmap::Bitmap | ( | const string & | _name = `""` | ) |
| inline

## ◆ Bitmap() [2/2]

Origin::Bitmap::Bitmap | ( | const Bitmap & | bitmap | ) |
| inline

References data, and size.

## ◆ ~Bitmap()

Origin::Bitmap::~Bitmap | ( |  | ) |
| inline

References data, and size.

## Member Data Documentation

## ◆ attach

Attach Origin::Bitmap::attach

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ borderType

BorderType Origin::Bitmap::borderType

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ clientRect

Rect Origin::Bitmap::clientRect

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ data

unsigned char* Origin::Bitmap::data

Referenced by Bitmap(), Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), Origin800Parser::readGraphInfo(), and ~Bitmap().

## ◆ size

unsigned long Origin::Bitmap::size

Referenced by Bitmap(), Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), Origin800Parser::readGraphInfo(), and ~Bitmap().

## ◆ windowName

string Origin::Bitmap::windowName

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginObj.h